Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 729382 - app-text/recode-3.7.6-r1: fails tests
Summary: app-text/recode-3.7.6-r1: fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2020-06-24 07:32 UTC by Agostino Sarubbo
Modified: 2021-01-04 05:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,406.75 KB, text/plain)
2020-06-24 07:32 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-24 07:32:01 UTC
@@This is an auto-filed bug@@
If you think that a different summary clarifies the issue better, feel free to change it.

Issue: app-text/recode fails tests.
Discovered on: amd64

NOTE:
If you need further logs, feel free to ask.
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-24 07:32:08 UTC
Created attachment 645978 [details]
build.log

build log and emerge --info
Comment 2 Sam James archtester gentoo-dev Security 2020-09-14 06:12:17 UTC
>make[2]: Entering directory '/var/tmp/portage/app-text/recode-3.7.6-r1/work/recode-3.7.6/tests'
>rm -f Recode.c && \
> -3 -o Recode.body.c ./Recode.pyx && \
>echo '#include "config.h"' > Recode.c && \
>cat Recode.body.c >> Recode.c
>/bin/sh: line 1: -3: command not found

Looks like it might be a tc-directly issue or similar in disguise.
Comment 3 Larry the Git Cow gentoo-dev 2021-01-04 05:16:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ac0301cbada7e65752c11f9661d9f31c0e63b48

commit 1ac0301cbada7e65752c11f9661d9f31c0e63b48
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-04 05:09:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-04 05:14:00 +0000

    app-text/recode: bump to 3.7.8
    
    We also now BDEPEND on cython for tests.
    
    Closes: https://bugs.gentoo.org/729382
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 app-text/recode/Manifest            |  1 +
 app-text/recode/recode-3.7.8.ebuild | 58 +++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)